Package: libgtk2.0-dev
Version: 2.24.31-2
Severity: wishlist

Dear Maintainer,

The dh_gtkmodules script was deprecated when gtk+2.0 (2.21.5-1)
was released more than seven years ago.

Please remove this script from the libgtk2.0-dev package, as it
uses hard-coded paths that are not multi-arch compatible.

Also, of around 700 build-depends packages, just five make use of it:
* gtk2-engines (this package is more than four years old)
* gtk2-engines-murrine
* gtk2-engines-wonderland (this package is one year old)
* scim
* tamil-gtk2im (orphaned)

As you can see, three of these packages are well out-of-date or
unmaintained. The remaining two (gtk2-engines-murrine and scim)
can be patched by their respective maintainers.



-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.12.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_AU:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages libgtk2.0-dev depends on:
ii  gir1.2-gtk-2.0        2.24.31-2
ii  libatk1.0-dev         2.24.0-1
ii  libcairo2-dev         1.14.10-1
ii  libgdk-pixbuf2.0-dev  2.36.5-2
ii  libglib2.0-dev        2.53.6-1
ii  libgtk2.0-0           2.24.31-2
ii  libgtk2.0-common      2.24.31-2
ii  libpango1.0-dev       1.40.12-1
ii  libx11-dev            2:1.6.4-3
ii  libxcomposite-dev     1:0.4.4-2
ii  libxcursor-dev        1:1.1.14-3
ii  libxdamage-dev        1:1.1.4-3
ii  libxext-dev           2:1.3.3-1+b2
ii  libxfixes-dev         1:5.0.3-1
ii  libxi-dev             2:1.7.9-1
ii  libxinerama-dev       2:1.1.3-1+b3
ii  libxml2-utils         2.9.4+dfsg1-4
ii  libxrandr-dev         2:1.5.1-1
ii  pkg-config            0.29-4+b1

Versions of packages libgtk2.0-dev recommends:
ii  debhelper  10.7.2
ii  python     2.7.13-2

Versions of packages libgtk2.0-dev suggests:
ii  libgtk2.0-doc  2.24.31-2

-- no debconf information

Reply via email to